> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vartiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App

### Headers

<ParamField header="companyid" type="string" required>
  The unique identifier of your company
</ParamField>

### URL Parameters

<ParamField path="appId" type="string" required>
  The unique identifier of the app
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="message" type="string">
  A message describing the result of the operation
</ResponseField>

<ResponseField name="data" type="object">
  The app object

  <Expandable title="Properties">
    <ResponseField name="id" type="string">
      Unique identifier for the app
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the app
    </ResponseField>

    <ResponseField name="description" type="string">
      Description of the app (if provided)
    </ResponseField>

    <ResponseField name="environment" type="string">
      Environment of the app ("development" or "production")
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      Timestamp when the app was created
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      Timestamp when the app was last updated
    </ResponseField>
  </Expandable>
</ResponseField>

### Response Example

```json theme={null}
{
  "success": true,
  "message": "App retrieved successfully",
  "data": {
    "id": "app_01JT38AK6GH3VXP2PPH5BTF36X",
    "name": "second app",
    "description": "",
    "environment": "development",
    "createdAt": "2025-04-30T11:46:45.092Z",
    "updatedAt": "2025-04-30T11:46:45.092Z"
  }
}
```
